/// <reference types="chai" />
/**
 * Prepares extension object for asserting
 * @param assert assert library with checkers
 */
export declare function Asserts(assert: Chai.AssertStatic): {
    equal: (expected: any) => (actual: any) => boolean;
    isTrue: <T>(value: T, message?: string | undefined) => void;
    isFalse: <T>(value: T, message?: string | undefined) => void;
    throws: (promise: Promise<any>) => Promise<boolean | void>;
};
