"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const bs58_1 = require("bs58");
/**
 * Converts bytes58 string to bytes32 0x representation
 * @param input base58 string
 */
function bytes32FromBase58(input) {
    return `0x${Buffer.from(bs58_1.decode(input))
        .toString("hex")
        .substr(4)}`;
}
exports.bytes32FromBase58 = bytes32FromBase58;
