import BigNumber from "bignumber.js";
/**
 * Performs bitwise AND operation with two numbers
 * @param source op1
 * @param target op2
 * @return binary string of size 32 bytes (256 symbols length)
 */
export declare function bitAND(source: number | BigNumber, target: number | BigNumber): string;
/**
 * Checks if target number has binary flags from flag
 * @param target target number to check
 * @param flag flag number that is required to have
 */
export declare function hasFlag(target: number | BigNumber, flag: number | BigNumber): boolean;
