import { DeploymentCoordinator } from "@truffle-types/deployment-context";
/**
 * Deploys library contract by saving both in truffle artifacts and deployment coordinator
 * @param coordinator deployment coordinator
 * @param deployerAccount deployer account
 * @param writeKeys write key values for deployment process
 * @param options additional options
 */
export declare function deployLibrary(coordinator: DeploymentCoordinator, deployerAccount: string, writeKeys: {
    library: string;
}, options: {
    redeploy: boolean;
    libraryName: string;
}): Promise<string>;
