"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
// tslint:disable-next-line:no-implicit-dependencies
const chai_1 = require("chai");
function isException(error) {
    const strError = error.toString();
    return (strError.includes("invalid opcode") ||
        strError.includes("invalid JUMP") ||
        strError.includes("revert"));
}
/**
 * Asserts if provided error is not an expected error (one of: [invalid opcode]|[invalid JUMP]|[revert])
 * @param error error to check
 */
function ensureException(error) {
    chai_1.assert(isException(error), error.toString());
}
exports.ensureException = ensureException;
