/// <reference types="types-web3" />
import Web3 from "web3";
/**
 * Provides ability to snapshot and revert state of Ethereum VM
 */
export declare class Reverter {
    readonly web3: Web3;
    snapshotId: number;
    constructor(web3: Web3);
    revert(done: (err?: any) => void, id?: number): void;
    snapshot(done: (err?: any) => void): void;
    promisifyRevert(id?: number): Promise<void>;
    promisifySnapshot(): Promise<void>;
}
